#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-wheel
Version		:	0.42.0
Release		:	17.0.10.rel%{?dist}
Summary		:	Built-package format for Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and (ASL 2.0 or BSD)
URL		:	https://github.com/pypa/wheel

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-installer

Obsoletes	:	python3-%{sname}	<= %{version}
#-----------------------------------------------------------------------------
%description
Wheel is the reference implementation of the Python wheel
packaging standard, as defined in PEP 427.
 
It has two different roles:
 
 1. A setuptools extension for building wheels that provides the bdist_wheel
    setuptools command.
 2. A command line tool for working with wheel files.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/cli/*.py
%{python3_sitelib}/%{sname}/cli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vendored/vendor.txt
%{python3_sitelib}/%{sname}/vendored/*.py
%{python3_sitelib}/%{sname}/vendored/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/vendored/packaging/*.py
%{python3_sitelib}/%{sname}/vendored/packaging/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH=src
pytest -vvvvv
%endif
	
#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
